#! /bin/csh -fe
#
#	Utility script for quick, tabular summary of a merged MTZ file
#
#
###############################################################################
set nawk = /bin/awk
$nawk 'BEGIN{print}' >& /dev/null
if($status) set nawk = awk
alias nawk $nawk
#
set reso = ""
set mtzfile = ""
foreach arg ( $* )
    if("$arg" =~ [0-8].[0-9]*) set reso = "reso 100 $arg"
    if(("$arg" =~ *.mtz)&&(-e "$arg")) set mtzfile = "$arg"
end
if("$mtzfile" == "") then
    echo "usage $0 mtzfile.mtz [resolution]"
endif
#
echo "STATS NBIN 1 $reso" | mtzdump hklin $mtzfile |\
 nawk '$11 == "F"{printf $NF ":\t%6.2f%% complete,",$6; F=$7; lab=$NF}\
  $12 == "SIG"lab {if(($7+0)){printf "     <F>/<sig> = %6.2f\n", F/$7}else{print ""}}'

